Skip to content

Diagnostics

All operations require authentication.

2 operationsv1/email/exchange
Agent setup

Get the account diagnosisProduction

GET
/1.0/email/exchange/{organizationName}/service/{exchangeService}/account/{primaryEmailAddress}/diagnostics

Get the account diagnosis. Returns the results of the last diagnosis of the email account: sending, receiving, webmail login, lock, suspension, spam flag, and MX and SRV records.

Path parameters

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

primaryEmailAddress
required
string

Default email for this mailbox

Response

200exchangeAccountDiagnosissuccessful operation
canReceiveEmail
read-only
boolean

Determines if ingoing message has been received

canSendEmail
read-only
boolean

Determines if outgoing message has been delivered

connectiveOWA
read-only
boolean

Determines if possible to authenticate with credentials

isLocked
read-only
boolean

Determines if account is locked

isMxValid
read-only
boolean

Determines if MX record for account's domain is properly set

isSpammer
read-only
boolean

Determines if account is flagged as spammer

isSrvValid
read-only
boolean

Determines if SRV (autodiscovery) record for account's domain is properly set

isSuspended
read-only
boolean

Determines if account is suspended

lastCheck
read-only
stringdate-time

Last performed diagnostics date

Example uses exchangeService = string, organizationName = string, primaryEmailAddress = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/account/{primaryEmailAddress}/diagnostics \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canReceiveEmail": true, "canSendEmail": true, "connectiveOWA": true, "isLocked": true, "isMxValid": true, "isSpammer": true, "isSrvValid": true, "isSuspended": true, "lastCheck": "2024-01-01T12:00:00Z"}

Run an account diagnosisProduction

POST
/1.0/email/exchange/{organizationName}/service/{exchangeService}/account/{primaryEmailAddress}/diagnostics

Run an account diagnosis. Starts a diagnosis of the email account, which needs its password, and returns the task.

Path parameters

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

primaryEmailAddress
required
string

Default email for this mailbox

Request body (required)

password
required
string

Account password

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesactivateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses exchangeService = string, organizationName = string, primaryEmailAddress = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/account/{primaryEmailAddress}/diagnostics \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}